org.apache.commons.math3.analysis.solvers

## Interface UnivariateSolver

- All Superinterfaces:
    BaseUnivariateSolver<UnivariateFunction>
  All Known Implementing Classes:
    AbstractUnivariateSolver, BaseSecantSolver, BisectionSolver, BracketingNthOrderBrentSolver, BrentSolver, IllinoisSolver, MullerSolver, MullerSolver2, PegasusSolver, RegulaFalsiSolver, RiddersSolver, SecantSolver

      public interface UnivariateSolver
      extends BaseUnivariateSolver<UnivariateFunction>

  Interface for (univariate real) root-finding algorithms. Implementations will search for only one zero in the given interval.
  Version:
    $Id: UnivariateSolver.java 1364387 2012-07-22 18:14:11Z tn $

- - ### Method Summary

    - ### Methods inherited from interface org.apache.commons.math3.analysis.solvers.BaseUnivariateSolver

      `getAbsoluteAccuracy, getEvaluations, getFunctionValueAccuracy, getMaxEvaluations, getRelativeAccuracy, solve, solve, solve`

Copyright (c) 2003-2013 Apache Software Foundation